Форум русскоязычного сообщества Ubuntu


Автор Тема: Как исключить свежий репозиторий PHP 5.5.9, оставив РHP 5.4?  (Прочитано 562 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн wirtoo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Приветствую, друзья. Я не считаю себя гуру в линукс, но уже не могу назвать себя новичком, вот столкнулся с такими трудностями при установке php и расширений:
Изначально, мне нет разницы php 5.5.9 (который безо всяких проблем ставится из ppa) или php 5.4, но при установке АРС (alternative php cache) он не компилится с 5.5.9 и спустя полчаса поисков причины, я понял, что не я один такой, и поддержка 5.5.9 просто пока не реализована, а без него никак. Потому решено было ставить php 5.4.
Я пробовал добавлять репозиторий
ppa:ondej/old-stable
Но из арt всеравно лезет 5.5.
Пробовал собирать и устанавливать скачанный дистрибутив 5.4, но расширения становиться не хотят т.к. не соблюдаются зависимости.

Вопрос: Как сделать репозиторий рhp 5.4 (ppa:ondej/old-stable) основным, а 5.5.9 исключить?
Ну, или кто предложит вариант лучше.
Спасибо.
ICQ: 2588925, skype: wirtoo_id

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14870
  • Я не слышу.
    • Просмотр профиля
никак.
~.o

Оффлайн wirtoo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
никак.
Т.е. единственный вариант ставить 5.4 и все расширения вручную, скачиваю и собирая?
ICQ: 2588925, skype: wirtoo_id

Оффлайн .ubuntufan

  • Активист
  • *
  • Сообщений: 638
    • Просмотр профиля
Для установки пакетам можно задать определенную версию, используя следующий формат:

apt-get install <package_name>=<version>

И затем чтобы зафиксировать версию (отключить обновление до новых версий):

sudo apt-mark hold package_name

sudo apt-get install php5=5.4.33
sudo apt-mark hold php5

Алсо, зачем вам APC в 5.5. Так вроде нативное кэширование опкодов в комплекте, или у вас используется именно API APC (key-value storage к примеру)
« Последнее редактирование: 13 Октябрь 2014, 18:36:20 от .ubuntufan »

Оффлайн wirtoo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Для установки пакетам можно задать определенную версию, используя следующий формат:

apt-get install <package_name>=<version>

И затем чтобы зафиксировать версию (отключить обновление до новых версий):

sudo apt-mark hold package_name

sudo apt-get install php5=5.4.33
sudo apt-mark hold php5

Алсо, зачем вам APC в 5.5. Так вроде нативное кэширование опкодов в комплекте, или у вас используется именно API APC (key-value storage к примеру)

Спасибо, помогли.
ICQ: 2588925, skype: wirtoo_id

 

Страница сгенерирована за 0.057 секунд. Запросов: 24.